Products
Update product serial
Updates a single serial inventory entry for a base serial product without variants.
PATCH
/
dev
/
v1
/
products
/
{id}
/
serials
/
{serialId}
Update product serial
curl --request PATCH \
--url https://api.shoppex.io/dev/v1/products/{id}/serials/{serialId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"serial": "KEY-UPDATED"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({serial: 'KEY-UPDATED'})
};
fetch('https://api.shoppex.io/dev/v1/products/{id}/serials/{serialId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.shoppex.io/dev/v1/products/{id}/serials/{serialId}"
payload = { "serial": "KEY-UPDATED" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.shoppex.io/dev/v1/products/{id}/serials/{serialId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'serial' => 'KEY-UPDATED'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.shoppex.io/dev/v1/products/{id}/serials/{serialId}"
payload := strings.NewReader("{\n \"serial\": \"KEY-UPDATED\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "serial_1",
"serial": "KEY-UPDATED"
}
}Previous
Delete all product serialsRemoves all currently linked serial inventory entries from a base serial product without variants. Use the optional `search` filter to remove only matching serials.
Next
⌘I
Update product serial
